Catching any exception an printing it

Roger Upole rupole at compaq.net
Mon Feb 21 20:15:32 CET 2000


Use traceback.print_exc()
     Roger Upole

"Stuart Reynolds" <S.I.Reynolds at cs.bham.ac.uk> wrote in message
news:38B18395.61EA at cs.bham.ac.uk...
> Python allows you to do,
>
> try:
>   if a:
>      raise SomeException()
>   else:
>      raise xyz()
>
> except:
>   print 'There was an error'
>
> but is it possible to print out the exception if you don't know what
> type it is? I'd like the above error message to be more useful, but the
> exception raised inside the try block could be anything. Is it possible
> to find the last exception raised?
>
> Cheers,
>
> Stuart





More information about the Python-list mailing list